/**
 * @flow
 */
import React from 'react';
import SwipeView from 'react-native-swiper';


type Props = {
  height: number,
  width: number
}

function SwipeBanner(props:Props) {
  //console.log('SwipeBanner',props)
  return (
    <SwipeView
      showsButtons={false}
      autoplay
      height={props.height}
      width={props.width}
      autoplayTimeout={5}
      paginationStyle={{ bottom: 10 }}
    >
      {
        props.children
      }
    </SwipeView>
  );
}

export default SwipeBanner;
